/* Button style */
.btn {
  font-size: 16px;
  font-family: $primary-font;
  text-transform: capitalize;
  padding: 15px 30px;
  border-radius: 0;
  font-weight: 500;
  border: 0;
  position: relative;
  z-index: 1;
  transition: .2s ease;
  overflow: hidden;
  white-space: nowrap;

  &::before {
    position: absolute;
    content: "";
    height: 80%;
    width: 100%;
    left: 0;
    bottom: 10%;
    z-index: -1;
    transition: transform .2s ease-in-out;
    transform-origin: top;
    transform: scaleY(0);
  }

  &:active,
  &:hover,
  &.focus,
  &:focus,
  &.active {
    outline: 0;
    box-shadow: none !important;

    &::before {
      transform: scaleY(1);
      transform-origin: bottom;
    }
  }
}

.btn-sm {
  font-size: 14px;
  padding: 10px 35px;
}

.btn-xs {
  font-size: 12px;
  padding: 5px 15px;
}

.btn-primary {
  color: $white;
  background-color: $primary-color;

  &::before {
    background-color: #fff;
  }

  &:active,
  &:hover,
  &.focus,
  &:focus,
  &.active {
    color: $primary-color !important;
    background-color: darken($color: $primary-color, $amount: 10) !important;
    border-color: darken($color: $primary-color, $amount: 10) !important;
  }
}

.btn-outline-primary {
  color: white;
  background-color: transparent;
  border: 1px solid white;

  &::before {
    background-color: $primary-color;
  }

  &:active,
  &:hover,
  &.focus,
  &:focus,
  &.active {
    color: white !important;
    background-color: $primary-color !important;
    border-color: white !important;
  }
}

.btn-light {
  color: $primary-color;
  background-color: $white;
  border: 1px solid $tercer-color;

  &::before {
    background-color: $primary-color;
  }

  &:active,
  &:hover,
  &.focus,
  &:focus,
  &.active {
    color: $white !important;
    background-color: $secondary-color !important;
    border: 1px solid $white !important;
  }
}

.comision-img {
  color: $primary-color;
  background-color: $white;
  border: 1px solid $tercer-color;

  &::before {
    background-color: $primary-color;
  }

  &:active,
  &:hover,
  &.focus,
  &:focus,
  &.active {
    color: $white !important;
    background-color: $secondary-color !important;
    border: 1px solid $white !important;
    .img{
      opacity: 0%;
    }
  }
}

.container-r {
 padding-top: 1em;
  margin-top: 1em;
  border-top: 
    solid
    1px
    #CCC;
}

a.button {
  display: block;
  position: relative;
  float: left;
  width: 120px;
  padding: 0;
  margin: 10px 20px 10px 0;
  font-weight: 600;
  text-align: center;
  line-height: 50px;
  color: #FFF;
  border-radius: 5px;
  transition: all 0.2s ;
}

.btnFloat {
  background: none;
  box-shadow: 0px 0px 0px 0px rgba(0, 0, 0, 0.5);
}

.btnFloat:before {
  content: '';
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  width: 120px;
  height: 50px;
  border-radius: 5px;
  transition: all 0.2s ;
  background: #5DC8CD;
}

.btnFloat:before {
  box-shadow: 0px 0px 0px 0px rgba(0, 0, 0, 0.4);
}

.btnFloat:hover:before {
  
}

.btnFloat:hover:before {
  margin-top: -2px;
  margin-left: 0px;
  transform: scale(1.1,1.1);
  -ms-transform: scale(1.1,1.1);
  -webkit-transform: scale(1.1,1.1);
  box-shadow: 0px 5px 5px -2px rgba(0, 0, 0, 0.25);
}

.btn-r{
  margin: 20px auto;
  border: none;
  padding: 10px 44px;
  font-size: 36px;
  position: relative;
  
  &::before{
    transition: all 0.85s cubic-bezier(0.68, -0.55, 0.265, 1.55);
    content: '';
    width: 20%;
    height: 100%;
    background: black;
    position: absolute;
    top: 0;
    left: 0;
  }


  &.rounded-r {
    border-radius: 50px;
    width: 400px;
    & .text-green {
      color: white;
      mix-blend-mode: difference;
   }

    &::before{
      border-radius: 50px;
      border: 2px solid $primary-color;
      width: 25%;
      background: #fff;
    }
    &:hover{
      &::before{
        background: #fff;
        width: 100%;
        &.text-green{
          color: black;
        }
      }
    }
  }
}
#botonfuncional {

  display:none;
  
  }
  
  #archivoadjuntado {
  
  height:50px;
  
  width:100%;
  
  color:#2DA0D1 !important;
  
  padding-top:5px;
  
  padding-left:0px !important;
  
  background:none !important;
  
  border:none;
  
  }
  
  #botonadjuntararchivo {
  
  height:40px;
  
  width:200px;
  
  margin-top:-15px;
  
  text-align:center;
  
  }
  
  #botonadjuntararchivo {
  
  background-color:#2DA0D1;
  
  color:white;
  
  font-size: 15px;
  
  }
  
  #botonadjuntararchivo:hover{
  
  background-color:#FF9800;
  
  }